class KSSLCertificate

# class KSSLCertificate |
Definition | `#include <ksslcertificate.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum KSSLValidation { Unknown, Ok, NoCARoot, InvalidPurpose, PathLengthExceeded, InvalidCA, Expired, SelfSigned, ErrorReadingRoot, NoSSL, Revoked, Untrusted, SignatureFailed, Rejected, PrivateKeyFailed }
- enum KSSLPurpose { None=0, SSLServer=1, SSLClient=2, SMIMESign=3, SMIMEEncrypt=4, Any=5 }

#### Public Methods

- ~KSSLCertificate ()
- QString toString ()
- QString getSubject () const
- QString getIssuer () const
- QString getNotBefore () const
- QString getNotAfter () const
- QDateTime getQDTNotBefore () const
- QDateTime getQDTNotAfter () const
- QByteArray toDer ()
- QByteArray toPem ()
- QByteArray toNetscape ()
- QString toText ()
- QString getSerialNumber () const
- QString getKeyType () const
- QString getPublicKeyText () const
- QString getMD5DigestText () const
- QString getSignatureText () const
- bool isValid ()
- bool isValid (KSSLPurpose p)
- KSSLValidation validate ()
- KSSLValidation validate (KSSLPurpose p)
- KSSLValidation revalidate ()
- KSSLValidation revalidate (KSSLPurpose p)
- KSSLCertChain& chain ()
- KSSLCertificate * replicate ()
- KSSLCertificate (const KSSLCertificate& x)
- friend int operator== (KSSLCertificate &x, KSSLCertificate &y)
- inline friend int operator!= (KSSLCertificate &x, KSSLCertificate &y)
- bool setCert (QString& cert)
- KSSLX509V3& x509V3Extensions ()
- bool isSigner ()

#### Public Static Methods

- static KSSLCertificate * fromString (QCString cert)
- static KSSLCertificate * fromX509 (X509 *x5)
- static QString verifyText (KSSLValidation x)

#### Protected Methods

- KSSLCertificate ()
- void setCert (X509 *c)
- void setChain (void *c)
- X509 * getCert ()
- KSSLValidation processError (int ec)

## Detailed Description

~KSSLCertificate () | ### ~KSSLCertificate

KSSLCertificate * fromString (QCString cert) | ### fromString

[static]

KSSLCertificate * fromX509 (X509 *x5) | ### fromX509

[static]

enum KSSLValidation { Unknown, Ok, NoCARoot, InvalidPurpose, PathLengthExceeded, InvalidCA, Expired, SelfSigned, ErrorReadingRoot, NoSSL, Revoked, Untrusted, SignatureFailed, Rejected, PrivateKeyFailed } | ### KSSLValidation

enum KSSLPurpose { None=0, SSLServer=1, SSLClient=2, SMIMESign=3, SMIMEEncrypt=4, Any=5 } | ### KSSLPurpose

QString toString () | ### toString

QString getSubject () | ### getSubject

[const]

QString getIssuer () | ### getIssuer

[const]

QString getNotBefore () | ### getNotBefore

[const]

QString getNotAfter () | ### getNotAfter

[const]

QDateTime getQDTNotBefore () | ### getQDTNotBefore

[const]

QDateTime getQDTNotAfter () | ### getQDTNotAfter

[const]

QByteArray toDer () | ### toDer

QByteArray toPem () | ### toPem

QByteArray toNetscape () | ### toNetscape

QString toText () | ### toText

QString getSerialNumber () | ### getSerialNumber

[const]

QString getKeyType () | ### getKeyType

[const]

QString getPublicKeyText () | ### getPublicKeyText

[const]

QString getMD5DigestText () | ### getMD5DigestText

[const]

QString getSignatureText () | ### getSignatureText

[const]

bool isValid () | ### isValid

bool isValid (KSSLPurpose p) | ### isValid

KSSLValidation validate () | ### validate

KSSLValidation validate (KSSLPurpose p) | ### validate

KSSLValidation revalidate () | ### revalidate

KSSLValidation revalidate (KSSLPurpose p) | ### revalidate

KSSLCertChain& chain () | ### chain

QString verifyText (KSSLValidation x) | ### verifyText

[static]

KSSLCertificate * replicate () | ### replicate

KSSLCertificate (const KSSLCertificate& x) | ### KSSLCertificate

friend int operator== (KSSLCertificate &x, KSSLCertificate &y) | ### operator==

inline friend int operator!= (KSSLCertificate &x, KSSLCertificate &y) | ### operator!=

bool setCert (QString& cert) | ### setCert

KSSLX509V3& x509V3Extensions () | ### x509V3Extensions

bool isSigner () | ### isSigner

KSSLCertificate () | ### KSSLCertificate

[protected]

void setCert (X509 *c) | ### setCert

[protected]

void setChain (void *c) | ### setChain

[protected]

X509 * getCert () | ### getCert

[protected]

KSSLValidation processError (int ec) | ### processError

[protected]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:09 2003, using kdoc 2.0a54.